/*
 Copyright (C) 2004 David Bucciarelli (davibu@interfree.it)

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

package org.homedns.dade.jcgrid.cmd.povray;

import java.io.*;
import java.awt.*;
import java.awt.image.*;
import javax.swing.*;

public class RenderingWindow extends JFrame {
    private static final long serialVersionUID=1L;

    private BufferedImage renderingFrameBuffer;

    public RenderingWindow(BufferedImage renderingFB) {
        renderingFrameBuffer=renderingFB;
        
        this.setTitle("JCGrid Rendering Window");
        this.getContentPane().setLayout(new java.awt.BorderLayout());

        this.setResizable(false);

        java.awt.Dimension screenSize=java.awt.Toolkit.
            getDefaultToolkit().getScreenSize();
        int width=renderingFrameBuffer.getWidth();
        int height=renderingFrameBuffer.getHeight();
        this.setBounds(
            (screenSize.width-width)/2,
            (screenSize.height-height)/2,
            width,height);
    }

    public void update() {
        this.paint(this.getGraphics());
    }
    
    public void paint(Graphics g) {
        super.paint(g);

        g.drawImage(renderingFrameBuffer,0,0,Color.BLACK,null);
    }
}
