/*
 Copyright (C) 2004 David Bucciarelli (davibu@interfree.it)

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/


package org.homedns.dade.jcgrid.server;

import java.util.*;

public class HandlerThreads {
    private Hashtable handlers;

    public HandlerThreads() {
        handlers=new Hashtable();
    }

    public synchronized HandlerThread getConnectedHandler(String sessionName) {
        return (HandlerThread)handlers.get(sessionName);
    }

    public synchronized void addConnectedHandler(HandlerThread ht) {
        handlers.put(ht.getSessionName(),ht);
    }

    public synchronized void removeConnectedHandler(HandlerThread ht) {
        handlers.remove(ht.getSessionName());
    }

    public synchronized int getConnectedHandlerCount() {
        return handlers.size();
    }

    public synchronized Vector getSessionNames() {
        Vector v=new Vector();
        for(Iterator i=handlers.keySet().iterator();i.hasNext();) {
            String sessionName=(String)i.next();
            v.add(sessionName);
        }

        return v;
    }
    
    public synchronized boolean doesHandlerSessionExists(String name, HandlerThread fromht) {
        boolean res=false;
        for(Iterator i=handlers.keySet().iterator();i.hasNext();) {
            String sessionName=(String)i.next();
            HandlerThread ht=(HandlerThread)
                handlers.get(sessionName);

            if((ht!=fromht) && (name.equals(ht.getSessionName()))) {
                res=true;
                break;
            }
        }

        return res;
    }
}
