/*
 Copyright (C) 2004 David Bucciarelli (davibu@interfree.it)

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

package org.homedns.dade.jcgrid.util;

import java.io.*;
import java.util.*;

public class ByteVector extends Object {
    public static byte[] readAll(InputStream is) throws Exception {
        ByteVector bv=new ByteVector();
        byte[] buf=new byte[32*1024];

        for (;;) {
            int len=is.read(buf);

            if(len<1)
                break;

            bv.add(buf,len);
        }

        is.close();
        
        return bv.getData();
    }

    private class Packet {
        private byte[] data=null;
        
        Packet(byte[] d) {
            data=d;
        }
        
        public byte[] getData() {
            return data;
        }
    }

    private Vector vPacket=null;
    private int sizeInByte=0;
    
    public ByteVector() {
        vPacket=new Vector();
        sizeInByte=0;
    }
    
    public int size() {
        return sizeInByte;
    }

    public void add(byte[] d) {
        vPacket.add(new Packet(d));
        sizeInByte+=d.length;
    }

    public void add(byte[] d, int len) {
        byte[] buf=new byte[len];
        System.arraycopy(d,0,buf,0,len);
        
        vPacket.add(new Packet(buf));
        sizeInByte+=len;
    }

    public byte[] getData() {
        byte[] data=new byte[sizeInByte];
        
        int idx=0;
        for(int i=0;i<vPacket.size();i++) {
            Packet p=(Packet)vPacket.elementAt(i);
            byte[] pData=p.getData();
            
            System.arraycopy(pData,0,data,idx,pData.length);
            idx+=pData.length;
        }
        
        return data;
    }
}
