/*
 Copyright (C) 2004 David Bucciarelli (davibu@interfree.it)

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

package org.homedns.dade.jcgrid.vfs;

import java.io.*;
import java.util.*;

public class vfsNode implements Serializable {
    private static final long serialVersionUID=1L;

    private String name;
    private String id;
    private long size;

    public vfsNode(String nodeName,String uniqueId, long nodeSize) {
        name=nodeName;
        id=uniqueId;
        size=nodeSize;
    }

    public boolean equals(Object obj) {
        if(obj==null)
            return false;

        if(!(obj instanceof vfsNode))
            return false;

        vfsNode n=(vfsNode)obj;
        
        if((!n.name.equals(name)) ||
            (!n.id.equals(id)) ||
            (n.size!=size))
            return false;
        
        return true;
    }
    
    //------------------------------- Get & Set --------------------------------

    public String getName() {
        return name;
    }

    public String getID() {
        return id;
    }

    public long getSize() {
        return size;
    }
}
