/*
 Copyright (C) 2004 David Bucciarelli (davibu@interfree.it)

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

package org.homedns.dade.jcgrid.worker;

import java.io.*;
import java.util.*;

import org.homedns.dade.jcgrid.*;

public class GridNodeWorkerConfig extends GridNodeGenericConfig
    implements Cloneable {
    private int workerCount;

    public GridNodeWorkerConfig(Properties prop) {
        super(prop);

        workerCount=Integer.parseInt(prop.getProperty(
            "grid.node.worker.count","1"));
    }

    public GridNodeWorkerConfig() {
        super(GridNodeConfig.TYPE_WORKER);
        
        workerCount=1;
    }

    public Object clone() {
        GridNodeWorkerConfig cfg=(GridNodeWorkerConfig)super.clone();
        cfg.workerCount=workerCount;

        return cfg;
    }

    public Properties toProperties() {
        Properties prop=super.toProperties();

        prop.put("grid.node.worker.count",Integer.toString(workerCount));

        return prop;
    }

    //------------------------------- Get & Set --------------------------------

    public int getWorkerCount() {
        return workerCount;
    }

    public void setWorkerCount(int num) {
        workerCount=num;
    }
}
