/*
 Copyright (C) 2004 David Bucciarelli (davibu@interfree.it)

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

package org.homedns.dade.jcgrid.worker.impl.mandel;

public interface MandelRenderingClientFeedback {
    public void setProgressMinimum(int min);
    public void setProgressMaximum(int max);
    public void setProgressValue(int val);

    public void renderingBegin();
    public void sendingFrgamentRequest(MandelWorkRequest req);
    public void receivedFragmentResult(MandelWorkRequest req,
        MandelWorkResult res,
        MandelRenderingFrame frame);
    public void setRenderingTime(MandelWorkRequest req, long dt);
    public void renderingEnd();
    
    public void error(String msg, Exception ex);
}
